Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class AMQP.Basic.Consume.Builder

    java.lang.Object
      com.rabbitmq.client.AMQP.Basic.Consume.Builder

Enclosing interface:
  AMQP.Basic.Consume

    public static final class AMQP.Basic.Consume.Builder

extends java.lang.Object

Constructor Summary
`AMQP.Basic.Consume.Builder()`

Method Summary
`AMQP.Basic.Consume.Builder` | `arguments(java.util.Map<java.lang.String,java.lang.Object> arguments)`
`AMQP.Basic.Consume` | `build()`
`AMQP.Basic.Consume.Builder` | `consumerTag(java.lang.String consumerTag)`
`AMQP.Basic.Consume.Builder` | `exclusive()`
`AMQP.Basic.Consume.Builder` | `exclusive(boolean exclusive)`
`AMQP.Basic.Consume.Builder` | `noAck()`
`AMQP.Basic.Consume.Builder` | `noAck(boolean noAck)`
`AMQP.Basic.Consume.Builder` | `noLocal()`
`AMQP.Basic.Consume.Builder` | `noLocal(boolean noLocal)`
`AMQP.Basic.Consume.Builder` | `nowait()`
`AMQP.Basic.Consume.Builder` | `nowait(boolean nowait)`
`AMQP.Basic.Consume.Builder` | `queue(java.lang.String queue)`
`AMQP.Basic.Consume.Builder` | `ticket(int ticket)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQP.Basic.Consume.Builder

    public AMQP.Basic.Consume.Builder()

Method Detail

### ticket

    public AMQP.Basic.Consume.Builder ticket(int ticket)

### queue

    public AMQP.Basic.Consume.Builder queue(java.lang.String queue)

### consumerTag

    public AMQP.Basic.Consume.Builder consumerTag(java.lang.String consumerTag)

### noLocal

    public AMQP.Basic.Consume.Builder noLocal(boolean noLocal)

### noLocal

    public AMQP.Basic.Consume.Builder noLocal()

### noAck

    public AMQP.Basic.Consume.Builder noAck(boolean noAck)

### noAck

    public AMQP.Basic.Consume.Builder noAck()

### exclusive

    public AMQP.Basic.Consume.Builder exclusive(boolean exclusive)

### exclusive

    public AMQP.Basic.Consume.Builder exclusive()

### nowait

    public AMQP.Basic.Consume.Builder nowait(boolean nowait)

### nowait

    public AMQP.Basic.Consume.Builder nowait()

### arguments

    public AMQP.Basic.Consume.Builder arguments(java.util.Map<java.lang.String,java.lang.Object> arguments)

### build

    public AMQP.Basic.Consume build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD